import {expect, describe, test} from 'vitest'
import {mount} from '@vue/test-utils'
import LastMachinesPackNum from "@pages/LastMachinesPackNum/index.vue"
import { createStore } from "vuex"
import { store as machines } from '@/store/modules/machines'
import ServiceOfMachines from "@services/ServiceOfMachines"
import {AdapterOfMachines} from "@mocks/machines.js"

describe('test LastMachinesPackNum page', () => {

  const adapterOfMachines = new AdapterOfMachines()
  const store = createStore({
    modules: {
      machines
    }
  })

  const serviceOfMachines = new ServiceOfMachines(adapterOfMachines, store)

  test('exist test of LastMachinesPackNum', async () => {

    const wrapper = mount(LastMachinesPackNum, {
      shallow: true,
    })

    expect(wrapper.exists()).toBe(true)
  })

  test('Service serviceOfMachines should be a object', () => {
    expect(typeof serviceOfMachines).toBe('object')
  })

})


